Bug 781511 - Provide native systemd service
Provide native systemd service
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnokii (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Linus Walleij
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 751869
  Show dependency treegraph
 
Reported: 2012-01-13 11:12 EST by Jóhann B. Guðmundsson
Modified: 2012-04-17 14:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-17 14:59:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Native systemd service for gnooki-smsd (175 bytes, text/plain)
2012-01-13 11:15 EST, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2012-01-13 11:12:02 EST
Description of problem:

Let's get the ball rolling on this one...

http://fedoraproject.org/wiki/Features/SysVtoSystemd
https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2012-01-13 11:15:53 EST
Created attachment 555094 [details]
Native systemd service for gnooki-smsd
Comment 2 Gwyn Ciesla 2012-02-14 11:57:32 EST
Linus, any objection to my making this change?
Comment 3 Gwyn Ciesla 2012-03-14 12:26:40 EDT
Ping?
Comment 4 Linus Walleij 2012-03-18 13:59:25 EDT
Sorry for hopeless delay. This is just a service file right? You don't happen to have a patch to the current Fedora gnokii git?

Sorry again for the delay. I should resign as gnokii maintainer... :-(
Comment 5 Gwyn Ciesla 2012-03-19 08:53:32 EDT
It's just a service file, and modifying the spec to use it rather than the initscript.  Maybe 30 lines of changes.  I can do it pretty quickly, post a spec patch, whatever you prefer.

As for maintainership, that's a conversation for you and your two comaintainers. :)
Comment 6 Gwyn Ciesla 2012-04-17 14:59:39 EDT
Done.

Note You need to log in before you can comment on or make changes to this bug.